# Enum Class VDW

java.lang.Object
java.lang.Enum<VDW>
org.jmol.c.VDW

All Implemented Interfaces:
  `Serializable, Comparable<VDW>, Constable`

public enum VDW extends Enum<VDW>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADPMAX`
`ADPMIN`
`AUTO`
`AUTO_BABEL`
`AUTO_JMOL`
`AUTO_RASMOL`
`BABEL`
`BABEL21`
`BONDING`
`HYDRO`
`JMOL`
`NADA`
`NOJMOL`
`RASMOL`
`TEMP`
`USER`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`pt`

## Method Summary

Modifier and Type
Method
Description
`String`
`getVdwLabel()`
`static VDW`
`getVdwType(String label)`
`static VDW`
`getVdwType2(String label)`
`static VDW`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VDW[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### JMOL

public static final VDW JMOL

### BABEL

public static final VDW BABEL

### RASMOL

public static final VDW RASMOL

### BABEL21

public static final VDW BABEL21

### AUTO_JMOL

public static final VDW AUTO_JMOL

### AUTO_BABEL

public static final VDW AUTO_BABEL

### AUTO_RASMOL

public static final VDW AUTO_RASMOL

### AUTO

public static final VDW AUTO

### USER

public static final VDW USER

### ADPMAX

public static final VDW ADPMAX

### ADPMIN

public static final VDW ADPMIN

### HYDRO

public static final VDW HYDRO

### BONDING

public static final VDW BONDING

### TEMP

public static final VDW TEMP

### NOJMOL

public static final VDW NOJMOL

### NADA

public static final VDW NADA

## Field Details

### pt

public int pt

## Method Details

### values

public static VDW[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VDW valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getVdwLabel

public String getVdwLabel()

### getVdwType

public static VDW getVdwType(String label)

### getVdwType2

public static VDW getVdwType2(String label)